
DROP VIEW VIEWFTCOMPRAEFET;

CREATE VIEW VIEWFTCOMPRAEFET (EMPRESA, UF, MERCADO, TIPOCLI, CLIENTE, EMISSAO, NUMNOTA, VALORV, IPI, ICMS, ISS, PIS, COFINS ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFCD.ANFCD_DATA_EMISSAO,
       VNDANFCD.ANFCD_NUM_NOTA,
       VNDANFCD.ANFCD_TOT_DUPL,
       SUM(VNDANFLN.ANFLN_VALOR_IPI),
       SUM(VNDANFLN.ANFLN_VALOR_ICMS),
       SUM(VNDANFLN.ANFLN_VALOR_ISS),
       SUM(VNDANFLN.ANFLN_VALOR_PIS),
       SUM(VNDANFLN.ANFLN_VALOR_COFINS)
FROM VNDANFLN, VNDANFCD, SUPAEMPR, VNDAEMDF  WHERE 
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_FLAG_NOTA <> 'C' AND 
     VNDANFCD.ANFCD_FLAG_NOTA <> ' ' AND 
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = VNDAEMDF.AEMDF_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     EXISTS (SELECT * FROM VNDANFDU WHERE
     VNDANFDU.ANFDU_EMPRESA   = VNDANFCD.ANFCD_EMPRESA AND
     VNDANFDU.ANFDU_UNIDADE   = VNDANFCD.ANFCD_UNIDADE AND
     VNDANFDU.ANFDU_TIPO_NOTA = VNDANFCD.ANFCD_TIPO_NOTA AND
     VNDANFDU.ANFDU_NUM_NOTA  = VNDANFCD.ANFCD_NUM_NOTA)  
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFCD.ANFCD_DATA_EMISSAO, 
         VNDANFCD.ANFCD_NUM_NOTA,
         VNDANFCD.ANFCD_TOT_DUPL;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'COMPRAS EFETUADAS POR UF/MERCADO DO CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTCOMPRAEFET';